/*
   $Id: scrmsgs.h,v 1.1 2001/02/05 15:51:06 malekith Exp $
   (C) 1998 Pawel Gajda (mis@k2.net.pl)
 */

#ifndef __SCRMSGS_H
#define __SCRMSGS_H

#ifdef __cplusplus
extern "C" {
#endif

/* use those 3 functions like printf() */
void debugMessage(const char *fmt, ...);
void errorMessage(const char *fmt, ...);
void warnMessage(const char *fmt, ...);    
void normMessage(const char *title, const char *fmt, ...);
    
/* if(title == NULL) title = _("Wait...")   */    
void statusMessage(char *title, char *fmt, ...);
void destroy_statusMessage(void);
    
/*
  RET: 0 - user say "No"
       1 - -"-  -"-  "Yes"
*/
int questionMessage(const char *title, const char *question);
int importantQuestionMessage(const char *question);
    
    
#ifdef __cplusplus
           }
#endif    

#endif
