#ifndef _MEDIUM_H_
#define _MEDIUM_H_

#define PROTOCOL_UNKNOWN	0
#define PROTOCOL_DIR		1
#define PROTOCOL_FTP		2
#define PROTOCOL_CDROM		3  /* NOT implemented */
#define PROTOCOL_EXTERNAL	4

typedef struct {
	char *name;
	char *pkgsDir;
	char *infoDir;   
	int protocol;
	char *server;   /* only for network protocols */
	int  chunksCount; /* only for CD-rom */
}Tpkgs_source;

typedef struct{
	Tpkgs_source *ps;
	int count;
}Tps_set;

extern Tps_set PsSet;

void psFetchPkg(Tpkgs_source *ps, char *name);
int psOpenPkg (Tpkgs_source *ps, char *name);
/* close file and possibly remove file (if cached) */
void psClosePkg(int fd);

int psOpenInfo(Tpkgs_source *ps, char *name);

void psSetInit();

int psCacheRemoveInfo(Tpkgs_source *ps,char *name);

#endif
